Public Attributes | List of all members
rapidjson::GenericPointer< ValueType, Allocator >::Token Struct Reference

A token is the basic units of internal representation. More...

`#include <pointer.h>`

## Public Attributes
const Ch * | name
| Name of the token. It has null character at the end but it can contain null character.
SizeType | length
| Length of the name.
SizeType | index
| A valid array index, if it is not equal to kPointerInvalidIndex.

## Detailed Description

### template<typename ValueType, typename Allocator = CrtAllocator>
struct rapidjson::GenericPointer< ValueType, Allocator >::Token

A token is the basic units of internal representation.

A JSON pointer string representation "/foo/123" is parsed to two tokens: "foo" and 123. 123 will be represented in both numeric form and string form. They are resolved according to the actual value type (object or array).

For token that are not numbers, or the numeric value is out of bound (greater than limits of SizeType), they are only treated as string form (i.e. the token's index will be equal to kPointerInvalidIndex).

This struct is public so that user can create a Pointer without parsing and allocation, using a special constructor.

The documentation for this struct was generated from the following file:

- include/rapidjson/pointer.h